Bug 495436 - (perl-File-Pid) Review Request: perl-File-Pid - Pid File Manipulation
Review Request: perl-File-Pid - Pid File Manipulation
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
http://search.cpan.org/dist/File-Pid/
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-13 02:56 EDT by Iain Arnell
Modified: 2016-08-14 13:16 EDT (History)
3 users (show)

See Also:
Fixed In Version: 1.01-1.fc10
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-04-14 10:43:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
tibbs: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Iain Arnell 2009-04-13 02:56:36 EDT
Spec URL: http://fedorapeople.org/~iarnell/review/perl-File-Pid.spec
SRPM URL: http://fedorapeople.org/~iarnell/review/perl-File-Pid-1.01-1.fc11.src.rpm

Description:
This software manages a pid file for you. It will create a pid file,
query the process within to discover if it's still running, and remove
the pid file.

Koji build: http://koji.fedoraproject.org/koji/taskinfo?taskID=1293567

*rt-0.05
Comment 1 Parag AN(पराग) 2009-04-13 03:27:05 EDT
Review:
+ package builds in mock (rawhide i386).
koji Build => http://koji.fedoraproject.org/koji/taskinfo?taskID=1293567
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream url
d927b40215cbfbff233d9feb53529532  File-Pid-1.01.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ make test gave
All tests successful.
Files=1, Tests=10,  0 wallclock secs ( 0.02 usr  0.00 sys +  0.02 cusr  0.02 csys =  0.06 CPU)
+ Package perl-File-Pid-1.01-1.fc11.noarch =>
  Provides: perl(File::Pid) = 1.1
  Requires: perl(File::Basename) perl(File::Spec::Functions) perl(base) perl(strict) perl(vars)

APPROVED.
Comment 2 Iain Arnell 2009-04-13 03:54:28 EDT
New Package CVS Request
=======================
Package Name: perl-File-Pid
Short Description: Pid File Manipulation
Owners: iarnell
Branches: F-10
InitialCC: perl-sig
Comment 3 Kevin Fenzi 2009-04-13 11:52:30 EDT
cvs done.
Comment 4 Iain Arnell 2009-04-13 23:51:15 EDT
Looks like something went wrong with cvs setup - no branch directories appear to have been created.
Comment 5 Kevin Fenzi 2009-04-14 00:58:55 EDT
Try now?
Comment 6 Fedora Update System 2009-04-14 10:43:02 EDT
perl-File-Pid-1.01-1.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/perl-File-Pid-1.01-1.fc10
Comment 7 Fedora Update System 2009-04-27 17:31:01 EDT
perl-File-Pid-1.01-1.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Iain Arnell 2010-02-27 06:37:23 EST
Package Change Request
======================
Package Name: perl-File-Pid
New Branches: EL-4 EL-5
Owners: iarnell
InitialCC: perl-sig
Comment 9 Jason Tibbitts 2010-02-28 17:29:20 EST
CVS done.
Comment 10 Fedora Update System 2010-02-28 23:13:53 EST
perl-File-Pid-1.01-3.el5 has been submitted as an update for Fedora EPEL 5.
http://admin.fedoraproject.org/updates/perl-File-Pid-1.01-3.el5
Comment 11 Fedora Update System 2010-02-28 23:13:59 EST
perl-File-Pid-1.01-3.el4 has been submitted as an update for Fedora EPEL 4.
http://admin.fedoraproject.org/updates/perl-File-Pid-1.01-3.el4
Comment 12 Fedora Update System 2010-03-18 18:37:18 EDT
perl-File-Pid-1.01-3.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 13 Fedora Update System 2010-03-18 18:37:26 EDT
perl-File-Pid-1.01-3.el4 has been pushed to the Fedora EPEL 4 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.